package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Windplant对象 windplant
 *
 * @author hlf
 * @date 2021-07-07
 */
public class Windplant extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private String companyNo;

    private Long loadareaNo;

    private Long subcontrolareaNo;

    private Long subregionNo;

    private Long installWtg;

    private Double installPower;

    private String confirmPower;

    private Long putintoWtg;

    private Double putintoPower;

    private Long joinWtg;

    private Double joinPower;

    private Double power;

    private Double bsP;

    private Double bsQ;

    private Double bsV;

    private Double bsPf;

    private Long runWtg;

    private Long stopWtg;

    private Long wtgFault;

    private Double totalEnergy;

    private Double lastTotalEnergy;

    private Double todayEnergy;

    private Double avgWindSpeed;

    private Double avgTemperature;

    private String name;

    private String pathname;

    private String aliasname;

    private String description;

    private Long statTag;

    private Long dlFlag;

    private Long glFlag;

    private Long xhjyFlag;

    private Long areaNo;

    private String areaName;

    private String rtuTypeName;

    private String itemVal;

    private String site;

    private Long id;

    private String stationName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setCompanyNo(String companyNo) {
        this.companyNo = companyNo;
    }

    public String getCompanyNo() {
        return companyNo;
    }

    public void setLoadareaNo(Long loadareaNo) {
        this.loadareaNo = loadareaNo;
    }

    public Long getLoadareaNo() {
        return loadareaNo;
    }

    public void setSubcontrolareaNo(Long subcontrolareaNo) {
        this.subcontrolareaNo = subcontrolareaNo;
    }

    public Long getSubcontrolareaNo() {
        return subcontrolareaNo;
    }

    public void setSubregionNo(Long subregionNo) {
        this.subregionNo = subregionNo;
    }

    public Long getSubregionNo() {
        return subregionNo;
    }

    public void setInstallWtg(Long installWtg) {
        this.installWtg = installWtg;
    }

    public Long getInstallWtg() {
        return installWtg;
    }

    public void setInstallPower(Double installPower) {
        this.installPower = installPower;
    }

    public Double getInstallPower() {
        return installPower;
    }

    public void setConfirmPower(String confirmPower) {
        this.confirmPower = confirmPower;
    }

    public String getConfirmPower() {
        return confirmPower;
    }

    public void setPutintoWtg(Long putintoWtg) {
        this.putintoWtg = putintoWtg;
    }

    public Long getPutintoWtg() {
        return putintoWtg;
    }

    public void setPutintoPower(Double putintoPower) {
        this.putintoPower = putintoPower;
    }

    public Double getPutintoPower() {
        return putintoPower;
    }

    public void setJoinWtg(Long joinWtg) {
        this.joinWtg = joinWtg;
    }

    public Long getJoinWtg() {
        return joinWtg;
    }

    public void setJoinPower(Double joinPower) {
        this.joinPower = joinPower;
    }

    public Double getJoinPower() {
        return joinPower;
    }

    public void setPower(Double power) {
        this.power = power;
    }

    public Double getPower() {
        return power;
    }

    public void setBsP(Double bsP) {
        this.bsP = bsP;
    }

    public Double getBsP() {
        return bsP;
    }

    public void setBsQ(Double bsQ) {
        this.bsQ = bsQ;
    }

    public Double getBsQ() {
        return bsQ;
    }

    public void setBsV(Double bsV) {
        this.bsV = bsV;
    }

    public Double getBsV() {
        return bsV;
    }

    public void setBsPf(Double bsPf) {
        this.bsPf = bsPf;
    }

    public Double getBsPf() {
        return bsPf;
    }

    public void setRunWtg(Long runWtg) {
        this.runWtg = runWtg;
    }

    public Long getRunWtg() {
        return runWtg;
    }

    public void setStopWtg(Long stopWtg) {
        this.stopWtg = stopWtg;
    }

    public Long getStopWtg() {
        return stopWtg;
    }

    public void setWtgFault(Long wtgFault) {
        this.wtgFault = wtgFault;
    }

    public Long getWtgFault() {
        return wtgFault;
    }

    public void setTotalEnergy(Double totalEnergy) {
        this.totalEnergy = totalEnergy;
    }

    public Double getTotalEnergy() {
        return totalEnergy;
    }

    public void setLastTotalEnergy(Double lastTotalEnergy) {
        this.lastTotalEnergy = lastTotalEnergy;
    }

    public Double getLastTotalEnergy() {
        return lastTotalEnergy;
    }

    public void setTodayEnergy(Double todayEnergy) {
        this.todayEnergy = todayEnergy;
    }

    public Double getTodayEnergy() {
        return todayEnergy;
    }

    public void setAvgWindSpeed(Double avgWindSpeed) {
        this.avgWindSpeed = avgWindSpeed;
    }

    public Double getAvgWindSpeed() {
        return avgWindSpeed;
    }

    public void setAvgTemperature(Double avgTemperature) {
        this.avgTemperature = avgTemperature;
    }

    public Double getAvgTemperature() {
        return avgTemperature;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setPathname(String pathname) {
        this.pathname = pathname;
    }

    public String getPathname() {
        return pathname;
    }

    public void setAliasname(String aliasname) {
        this.aliasname = aliasname;
    }

    public String getAliasname() {
        return aliasname;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setStatTag(Long statTag) {
        this.statTag = statTag;
    }

    public Long getStatTag() {
        return statTag;
    }

    public Long getDlFlag() {
        return dlFlag;
    }

    public void setDlFlag(Long dlFlag) {
        this.dlFlag = dlFlag;
    }

    public Long getGlFlag() {
        return glFlag;
    }

    public void setGlFlag(Long glFlag) {
        this.glFlag = glFlag;
    }

    public Long getXhjyFlag() {
        return xhjyFlag;
    }

    public void setXhjyFlag(Long xhjyFlag) {
        this.xhjyFlag = xhjyFlag;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public String getRtuTypeName() {
        return rtuTypeName;
    }

    public void setRtuTypeName(String rtuTypeName) {
        this.rtuTypeName = rtuTypeName;
    }

    public String getItemVal() {
        return itemVal;
    }

    public void setItemVal(String itemVal) {
        this.itemVal = itemVal;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    /*关联表查询开始*/
    private Long modelNo;

    public Long getModelNo() {
        return modelNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    /*关联表查询结束*/

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("companyNo", getCompanyNo())
                .append("loadareaNo", getLoadareaNo())
                .append("subcontrolareaNo", getSubcontrolareaNo())
                .append("subregionNo", getSubregionNo())
                .append("installWtg", getInstallWtg())
                .append("installPower", getInstallPower())
                .append("confirmPower", getConfirmPower())
                .append("putintoWtg", getPutintoWtg())
                .append("putintoPower", getPutintoPower())
                .append("joinWtg", getJoinWtg())
                .append("joinPower", getJoinPower())
                .append("power", getPower())
                .append("bsP", getBsP())
                .append("bsQ", getBsQ())
                .append("bsV", getBsV())
                .append("bsPf", getBsPf())
                .append("runWtg", getRunWtg())
                .append("stopWtg", getStopWtg())
                .append("wtgFault", getWtgFault())
                .append("totalEnergy", getTotalEnergy())
                .append("lastTotalEnergy", getLastTotalEnergy())
                .append("todayEnergy", getTodayEnergy())
                .append("avgWindSpeed", getAvgWindSpeed())
                .append("avgTemperature", getAvgTemperature())
                .append("name", getName())
                .append("pathname", getPathname())
                .append("aliasname", getAliasname())
                .append("description", getDescription())
                .append("statTag", getStatTag())
                .toString();
    }
}
